Sign in
Join now
ordner
pipobscure.com
/
Star
Starred
Star
Something went wrong. Try again.
Fork
0
Eye filled
Watch
Watching
Watch
replace big-tech and host basic infrastructure yourself!
ordner.fyi
Star
Starred
Star
Something went wrong. Try again.
Fork
Eye filled
Watch
Watching
Watch
Overview
Overview
Issues
Issues
Pulls
Pulls
Pipelines
Pipelines
ordner
/
seams
1 folder
·
2 files
at
main
pipobscure.com
·
calendar, contacts, scam-warn, webdav, auth, editors: the last NEXT.md answers, acted on — every calendar and contacts /get treats `properties` as RFC 8620 §5.1 says: the shared jmap-core propertiesArg checks each name against everything the type's spec defines (RFC 8984 and jscalendarbis, draft-ietf-jmap-calendars-29, jmap-tasks-06, RFC 9553/9555/9610) plus our own, an unknown name is invalidArguments, a defined one we don't store is absent, `id` always comes back; Calendar/get, ParticipantIdentity/get, ContactCard/get and AddressBook/get now honour `properties` at all. ParticipantIdentity sends `calendarAddress` (draft -29 §3) in place of the old drafts' `sendTo`, which the calendar app no longer reads; `due` leaves the events' index listing (tasks keep it), and a test holds every listing the index serves or jmap-client asks for to the accepted names.
·
2d ago
48c037a8
src
calendar, contacts, scam-warn, webdav, auth, editors: the last NEXT.md answers, acted on — every calendar and contacts /get treats `properties` as RFC 8620 §5.1 says: the shared jmap-core propertiesArg checks each name against everything the type's spec defines (RFC 8984 and jscalendarbis, draft-ietf-jmap-calendars-29, jmap-tasks-06, RFC 9553/9555/9610) plus our own, an unknown name is invalidArguments, a defined one we don't store is absent, `id` always comes back; Calendar/get, ParticipantIdentity/get, ContactCard/get and AddressBook/get now honour `properties` at all. ParticipantIdentity sends `calendarAddress` (draft -29 §3) in place of the old drafts' `sendTo`, which the calendar app no longer reads; `due` leaves the events' index listing (tasks keep it), and a test holds every listing the index serves or jmap-client asks for to the accepted names.
2d ago
package.json
tests: the test runs print no warning — test-kit/known-warnings drops only Node's ExperimentalWarning for the APIs used on purpose (stripTypeScriptTypes, the ZIP API), every other warning still prints; the ZIP workspaces' tests, the svelte test hooks and stage-app load it. Tests no longer read Node's own localStorage (app-shell installLocalStorage), which also fixes meet's "no storage" test that passed by accident on Node's storage; the photos tests that feed a broken JPEG on purpose set VIPS_WARNING=1
2d ago
tsconfig.json
everything: logic written in several places now lives once — a review of the whole tree found ~100 duplicates across services, packages, web apps, tests and build config; each now has one shared home, and where the copies disagreed the correct one won, fixing the bugs the weaker copies carried
2d ago